WebStorm 2017.2.4 is now available

Posted on by Ekaterina Prigara

WebStorm 2017.2.4 is now available!

You can download WebStorm 2017.2.4 (172.4155.35) on our website or update in Toolbox App or in the IDE. The patch-update is available for WebStorm 2017.2.2, 2017.2.3 and 2017.2.4 EAP.

What is fixed in WebStorm 2017.2.4:

  • Support for the Optional catch binding ES proposal (WEB-28073)
  • Support for React 16 RC (WEB-28328)
  • Go to definition for the AngularJS injected dependencies now works again (WEB-28192)
  • Running tasks with Yarn 1.0 from the IDE (WEB-28685)

WebStorm Team

Comments below can no longer be edited.

2 Responses to WebStorm 2017.2.4 is now available

  1. w says:

    September 12, 2017

    hello, Angular completion do not work on mac.It works well on windows. Is it a problem?what do i need to set something?thx.

    • Ekaterina Prigara says:

      September 13, 2017

      Please provide a bit more information. Are you using Angular or AngularJS? How is your project set up? In what cases code completion is not available? You can contact our tech support using this form: https://intellij-support.jetbrains.com/hc/en-us/requests/new
      Can you please also check that you have Angular plugin enabled in Preferences | Plugins in WebStorm on mac.